## Gitea auf dem Raspberry Pi

**Benötigte Pakete installieren**

```xml
sudo apt install git mysql-server -y
```
(Während des Vorgangs das root Passwort festlegen)


**Ordner für Gitea anlegen**

```xml
mkdir gitea
```

**Gitea Binary laden**

```xml
wget -O gitea https://dl.gitea.io/gitea/1.x.x/gitea-1.1.0-linux-arm-7
```

**Binary ausführbar machen**

```xml
sudo chmod +x gitea
```

**Gitea starten**

```xml
./gitea web
```

Im Browser http://IP-Adresse:3000 aufrufen und konfigurieren

### Gitea bei Systemstart ausführen

```xml
sudo nano /etc/systemd/system/gitea.service
```

-> Dort einfügen:

```xml
[Unit]
Description=Gitea (Git with a cup of tea)
After=syslog.target
After=network.target
After=mysql.service

[Service]
Type=simple
User=pi
Group=pi
WorkingDirectory=/home/pi/gitea
ExecStart=/home/pi/gitea/gitea web
Restart=always
Environment=USER=pi HOME=/home/pi

[Install]
WantedBy=multi-user.target
```

**Dienst aktivieren**

```xml
sudo systemctl enable gitea.service
sudo systemctl daemon-reload
```
